{% extends "base.html" %}

{% block content %}
<!-- File Manager -->
<article class="flexbox_leftright">

<div id='sidebar'>
	{% include '_sidebar.html' %}
</div>
	<!-- File Manager -->
	<table>
		<thead>
			<tr><th>Mark for Download</th><th>File/Folder</th><th>Size</th><th>Date Modified</th></tr>
		</thead>
		<tbody>
			<form id='form_files-to-download' action='' method='POST'>
				<!-- If there are no files/dirs print out "No Files or Folders" -->
				<!-- Alaphetic order -->
				<!-- Directories go on top. (DEFAULT) -->
				<!-- EXAMPLE: file -->
				<!-- <tr><td class='column-checkbox' class='file' name='foo.py'><input type='checkbox'></input></td><td class='column-filename'>foo.py</td><td>10 bytes</td><td>2024/03/17</td></tr> -->
				<!-- EXAMPLE: folder -->
				<!-- <tr><td class='column-checkbox' class='folder' name='projects'><input type='checkbox'></input></td><td class='column-filename'><a href=''>projects</a></td><td>10 bytes</td><td>2024/03/17</td></tr>			 -->

				<!-- Go back a dir -->
				<tr><td class='column-checkbox' class='folder' name='up-dir'></td><td class='column-filename'><a href="{{ os.path.join(request.path, '..') }}">Up Folder</a></td><td></td><td></td></tr>			

				<!-- print out dirs then files -->
				{% for file in files %}
					{% if file['dir'] %}
						<tr><td class='column-checkbox' class='folder'><input name='{{ file["name"] }}' type='checkbox'></input></td><td class='column-filename'><a href="{{ os.path.join(request.path, file['name']) }}">{{ file['name'] }}</a></td><td>{{ file['size'] }}</td><td>{{ file['date_modified'] }}</td></tr>			
					{% endif %}
				{% endfor %}
				{% for file in files %}
					{% if not(file['dir']) %}
						<tr><td class='column-checkbox' class='file'><input  name='{{ file["name"] }}' type='checkbox'></input></td><td class='column-filename'>{{ file["name"] }}</td><td>{{ file['size'] }}</td><td>{{ file['date_modified'] }}</td></tr>
					{% endif %}
				{% endfor %}


			</form>

		</tbody>
	</table>
</article>
{% endblock %}
